import { c as create_ssr_component, f as createEventDispatcher, d as add_attribute } from "./index-0e008fb3.js";
const Editor = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  createEventDispatcher();
  let { language = "json" } = $$props;
  let { value = "" } = $$props;
  let { isReadonly = false } = $$props;
  let { schema = null } = $$props;
  let { lineHighlight = !isReadonly } = $$props;
  let { fontSize } = $$props;
  let divEl = null;
  if ($$props.language === void 0 && $$bindings.language && language !== void 0)
    $$bindings.language(language);
  if ($$props.value === void 0 && $$bindings.value && value !== void 0)
    $$bindings.value(value);
  if ($$props.isReadonly === void 0 && $$bindings.isReadonly && isReadonly !== void 0)
    $$bindings.isReadonly(isReadonly);
  if ($$props.schema === void 0 && $$bindings.schema && schema !== void 0)
    $$bindings.schema(schema);
  if ($$props.lineHighlight === void 0 && $$bindings.lineHighlight && lineHighlight !== void 0)
    $$bindings.lineHighlight(lineHighlight);
  if ($$props.fontSize === void 0 && $$bindings.fontSize && fontSize !== void 0)
    $$bindings.fontSize(fontSize);
  return `<div class="${"w-full h-full"}"${add_attribute("this", divEl, 0)}></div>`;
});
export { Editor as E };
